gnutls security update

2018-12-14T16:36:35
ID CESA-2018:3050
Type centos
Reporter CentOS Project
Modified 2018-12-14T16:36:35

Description

CentOS Errata and Security Advisory CESA-2018:3050

The gnutls packages provide the GNU Transport Layer Security (GnuTLS) library, which implements cryptographic algorithms and protocols such as SSL, TLS, and DTLS.

The following packages have been upgraded to a later upstream version: gnutls (3.3.29). (BZ#1561481)

Security Fix(es):

  • gnutls: HMAC-SHA-256 vulnerable to Lucky thirteen attack due to not enough dummy function calls (CVE-2018-10844)

  • gnutls: HMAC-SHA-384 vulnerable to Lucky thirteen attack due to use of wrong constant (CVE-2018-10845)

  • gnutls: "Just in Time" PRIME + PROBE cache-based side channel attack can lead to plaintext recovery (CVE-2018-10846)

For more details about the security issue(s), including the impact, a CVSS score, and other related information, refer to the CVE page(s) listed in the References section.

Additional Changes:

For detailed information on changes in this release, see the Red Hat Enterprise Linux 7.6 Release Notes linked from the References section.

Merged security bulletin from advisories: http://lists.centos.org/pipermail/centos-cr-announce/2018-December/005773.html

Affected packages: gnutls gnutls-c++ gnutls-dane gnutls-devel gnutls-utils

Upstream details at: